Bug 1413051 - python-ldns: ldns cannot be imported from python
Summary: python-ldns: ldns cannot be imported from python
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ldns
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 13:23 UTC by Petr Menšík
Modified: 2017-08-08 19:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:34:11 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Debian BTS 835997 None None None 2017-06-30 19:08:13 UTC

Description Petr Menšík 2017-01-13 13:23:37 UTC
Description of problem:
Import of ldns fails.

Version-Release number of selected component (if applicable):
python-ldns-1.6.17-18.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. install python-ldns on Fedora 24
2. start python interactive shell
3. import ldns

Actual results:
Python 2.7.12 (default, Sep 29 2016, 13:30:34) 
[GCC 6.2.1 20160916 (Red Hat 6.2.1-2)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import ldns
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/ldns.py", line 5676, in <module>
    class ldns_resolver(_object):
  File "/usr/lib64/python2.7/site-packages/ldns.py", line 5945, in ldns_resolver
    def get_addr_by_name(self, name, aclass = _ldns.LDNS_RR_CLASS_IN, flags = _ldns.LDNS_RD):
AttributeError: 'module' object has no attribute 'LDNS_RR_CLASS_IN'
>>>

Expected results:
Python 2.7.12 (default, Sep 29 2016, 13:30:34) 
[GCC 6.2.1 20160916 (Red Hat 6.2.1-2)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import ldns
>>>

Additional info:
It works fine on f25 and rawhide.

Comment 1 Petr Menšík 2017-06-30 19:08:14 UTC
The same problem solved on Debian.

Christoph Egger <christoph@christoph-egger.org> writes:
> Christoph Egger <christoph@christoph-egger.org> writes:
>> Seems the name without the _swigconstant suffix comes directly from the
>> interface description shipped with the source:
>>
>> | ./ldns_resolver.i:429:        def get_addr_by_name(self, name, aclass = _ldns.LDNS_RR_CLASS_IN, flags = _ldns.LDNS_RD):
>
> And the suffix seems to have been added by some recent swig version. The
> Internet has some references on things breaking.

So I have a working build now!
Turns out swig became a lot more sensitive to ordering.

Moving the

  %include <ldns/rr.h>

right after the

  %include "ldns_rr.i"

in ldns.i yields a version of `ldns` that is at least importable!

Comment 2 Fedora Update System 2017-07-24 13:52:55 UTC
ldns-1.6.17-19.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-99ea7236c6

Comment 3 Fedora Update System 2017-07-25 01:51:43 UTC
ldns-1.6.17-19.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-99ea7236c6

Comment 4 Fedora End Of Life 2017-07-26 00:11:18 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 19:34:11 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.